"update issue" silently ignores "status" field if the user is not part of the project, but changes other

fields
Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.3.1

Description

this is very inconsistent:

if a user is not assigned to some project, he still can execute "update issue" requests through REST API (I'm using Redmine Java

API for that) and change fields like "summary", but the server silently ignores "status ID" field in this case.

once you assign the user to be "developer" in the project, he can update the "issue status" field as well.

REST API should NOT silently ignore some fields and allow others to be changed.

need to add a proper message to the response explaining why some fields could not be changed.

Related issues:

Related to Redmine - Defect #8626: Setting status via API fails silently Confirmed 2011-06-16

History

#1 - 2020-12-12 07:19 - Go MAEDA

- Related to Defect #8626: Setting status via API fails silently added

#2 - 2020-12-12 07:19 - Go MAEDA

- Status changed from New to Confirmed

#3 - 2023-05-03 08:43 - Vladimir Bocharov

Good afternoon.

Will this problem be solved, as it would simplify the use of the API?

#4 - 2023-06-27 06:15 - Vladimir Bocharov

Go MAEDA, Good afternoon.

Will this defect be fixed in the next versions?
